## ros-indigo-jsk-rviz-plugins 2.1.5

=== CMakeLists.txt ===
# these plugins should be uploaded to upstream repository
# https://github.com/ros-visualization/rviz/pull/634

# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(jsk_rviz_plugins)
add_compile_options(-std=c++11)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS rviz jsk_hark_msgs jsk_footstep_msgs jsk_recognition_utils
  people_msgs
  message_generation std_msgs diagnostic_msgs cv_bridge
  jsk_topic_tools
  image_geometry
  view_controller_msgs
  geometry_msgs
  dynamic_reconfigure
  jsk_recognition_msgs
  jsk_gui_msgs)

# Use ccache if installed to make it fast to generate object files
find_program(CCACHE_FOUND ccache)
if(CCACHE_FOUND)
  set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
  set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
endif(CCACHE_FOUND)

add_message_files(FILES
  OverlayText.msg OverlayMenu.msg TransformableMarkerOperate.msg ObjectFitCommand.msg
  Pictogram.msg PictogramArray.msg RecordCommand.msg StringStamped.msg)
add_service_files(FILES
  RequestMarkerOperate.srv EusCommand.srv
  Screenshot.srv
  )
catkin_python_setup()
generate_dynamic_reconfigure_options(
  cfg/ClassificationResultVisualizer.cfg
  cfg/ContactStateMarker.cfg
  cfg/OverlayTextInterface.cfg)
generate_messages(DEPENDENCIES std_msgs geometry_msgs)

catkin_package(
    DEPENDS rviz
    CATKIN_DEPENDS jsk_hark_msgs jsk_footstep_msgs
    jsk_recognition_utils cv_bridge people_msgs image_geometry
    INCLUDE_DIRS # TODO include
    LIBRARIES ${PROJECT_NAME}
)


set(ROS_BUILD_TYPE Release)

include_directories(src ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

# TODO: fill in what other packages will need to use this package
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need

if(rviz_QT_VERSION VERSION_LESS "5")
  find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
  include(${QT_USE_FILE})
else()
  find_package(Qt5Widgets REQUIRED)
endif()
add_definitions(-DQT_NO_KEYWORDS -g)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

#set(SOURCE_FILES src/ambient_sound_display.cpp src/ambient_sound_visual.cpp)

set(HEADER_FILES
  src/ambient_sound_display_groovy.h
  src/select_point_cloud_publish_action.h
  src/footstep_display.h
  src/publish_topic.h
  src/cancel_action.h
  src/record_action.h
  src/polygon_array_display.h
  src/normal_display.h
  src/overlay_text_display.h
  src/overlay_menu_display.h
  src/overlay_image_display.h
  src/overlay_camera_display.h
  src/plotter_2d_display.h
  src/pie_chart_display.h
  src/diagnostics_display.h
  src/quiet_interactive_marker_display.h
  src/bounding_box_display.h
  src/bounding_box_array_display.h
  src/torus_array_display.h
  src/overlay_diagnostic_display.h
  src/target_visualizer_display.h
  src/people_position_measurement_array_display.h
  src/simple_occupancy_grid_array_display.h
  src/camera_info_display.h
  src/close_all_tool.h
  src/open_all_tool.h
  src/overlay_picker_tool.h
  src/object_fit_operator.h
  src/robot_command_interface.h
  src/empty_service_call_interface.h
  src/pictogram_display.h
  src/pictogram_array_display.h
  src/view_controller/tablet_view_controller.h
  src/tablet_controller_panel.h
  src/video_capture_display.h
  src/twist_stamped_display.h
  src/pose_array_display.h
  src/tf_trajectory_display.h
  src/yes_no_button_interface.h
  src/segment_array_display.h
)

if(rviz_QT_VERSION VERSION_LESS "5")
  qt4_wrap_cpp(MOC_FILES ${HEADER_FILES})
else()
  qt5_wrap_cpp(MOC_FILES ${HEADER_FILES})
endif()

set(SOURCE_FILES
  src/ambient_sound_display_groovy.cpp
  src/ambient_sound_visual.cpp
  src/footstep_display.cpp
  src/publish_topic.cpp
  src/cancel_action.cpp
  src/record_action.cpp
  src/select_point_cloud_publish_action.cpp
  src/polygon_array_display.cpp
  src/normal_display.cpp
  src/normal_visual.cpp
  src/overlay_text_display.cpp
  src/overlay_menu_display.cpp
  src/overlay_image_display.cpp
  src/overlay_camera_display.cpp
  src/plotter_2d_display.cpp
  src/pie_chart_display.cpp
  src/diagnostics_display.cpp
  src/bounding_box_display.cpp
  src/bounding_box_array_display.cpp
  src/torus_array_display.cpp
  src/quiet_interactive_marker_display.cpp
  src/target_visualizer_display.cpp
  src/overlay_diagnostic_display.cpp
  src/simple_occupancy_grid_array_display.cpp
  src/people_position_measurement_array_display.cpp
  src/overlay_utils.cpp
  src/facing_visualizer.cpp
  src/camera_info_display.cpp
  src/close_all_tool.cpp
  src/open_all_tool.cpp
  src/overlay_picker_tool.cpp
  src/screenshot_listener_tool.cpp
  src/object_fit_operator.cpp
  src/robot_command_interface.cpp
  src/empty_service_call_interface.cpp
  src/pictogram_display.cpp
  src/pictogram_array_display.cpp
  src/view_controller/tablet_view_controller.cpp
  src/tablet_controller_panel.cpp
  src/video_capture_display.cpp
  src/twist_stamped_display.cpp
  src/pose_array_display.cpp
  src/tf_trajectory_display.cpp
  src/yes_no_button_interface.cpp
  src/segment_array_display.cpp
  ${MOC_FILES}
)

add_library(jsk_rviz_plugins ${SOURCE_FILES} ${UIC_FILES})
if(rviz_QT_VERSION VERSION_LESS "5")
  target_link_libraries(jsk_rviz_plugins ${QT_LIBRARIES} ${catkin_LIBRARIES} ${rviz_DEFAULT_PLUGIN_LIBRARIES})
else()
  target_link_libraries(jsk_rviz_plugins Qt5::Widgets ${catkin_LIBRARIES} ${rviz_DEFAULT_PLUGIN_LIBRARIES})
endif()
add_dependencies(jsk_rviz_plugins
  jsk_footstep_msgs_generate_messages_cpp
  jsk_gui_msgs_generate_messages_cpp
  jsk_hark_msgs_generate_messages_cpp
  jsk_recognition_msgs_generate_messages_cpp
  people_msgs_generate_messages_cpp
  view_controller_msgs_generate_messages_cpp
  ${PROJECT_NAME}_generate_messages_cpp)

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set_target_properties(jsk_rviz_plugins PROPERTIES LINK_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -z defs")
endif()

# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.
# However, if it doesn't have setup.py, directories including python executables
# should be installed recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Also, other directories like 'launch' or 'sample' must be installed
# recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Be careful that 'launch' and 'launch/' are different: the former is directory
# and the latter is each content.
install(TARGETS jsk_rviz_plugins
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY scripts/
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

install(FILES plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY cfg config icons launch samples test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

install(DIRECTORY src/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-indigo-jsk-rviz-plugins (2.1.5-0trusty) trusty; urgency=high

  * [jsk_rviz_plugins] Add "Align Bottom" option to OverlayText (#723 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/723> )
    
      * Update config for easily understanding the effect of AlignBottom
      * Update overlay_sample.launch
      * Add rosparam to enable/disable reversing lines
      * Add "Align Bottom" option to overlay_text plugin
    
  * Contributors: Yuto Uchimi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 18 Feb 2019 00:00:00 -0000

ros-indigo-jsk-rviz-plugins (2.1.4-0trusty) trusty; urgency=high

  * [jsk_rviz_plugins/target_visualize] Add visualizer_ initilized flags (#720 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/720>)
  * replace boost::shared_ptr by std::shared_ptr (#710 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/710>)
    * enable C++11
    * replace boost pointers by std pointers
  * add error message to status (#715 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/715>)
  * Fix install destination (#717 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/717>)
    * Update comment about installation
    * Add comment for install destination
    * Fix path to headers for installation
    * Install missing test/ as well
    * Use source permission when installing executables
    * Fix installation destination
  * [jsk_rviz_plugins/camera_info_display] Check fx and fy are not equal to zero. (#1 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/1>)
  * [jsk_rviz_plugins] Optimize camera info displaying (#709 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/709>)
    * Split and merge image matrix channels instead of slow pixel-by-pixel copying while renderind camera info.
  * [jsk_rviz_plugins] add segment_array_display (#666 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/666>)
    * Add doc and sample of segment_array
    * add segment_array_display rviz plugin.
  * [jsk_rviz_plugins] use QScreen::grabWindow() instead of QPixmap::grabWindow (#700 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/700>)
    * [jsk_rviz_plugins] use QScreen::grabWindow() instead of QPixmap::grabWindow
  * add enable lighitng property in polygon_array_display (#686 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/686>)
  * add jsk_rviz_plugins library to catkin_package LIBRARIES, use  instea… (#696 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/696>)
    * add jsk_rviz_plugins library to catkin_package LIBRARIES
  * Add #include <boost/format.hpp> (#695 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/695>)
  * jsk_rviz_plugins: warn on missing frame_id (#698 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/698>)
  * Suppress warnings of jsk_rviz_plugins for non-existent targets (#693 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/693>)
    Support catkin_make also.
    Ref: https://github.com/jsk-ros-pkg/jsk_visualization/pull/692#issuecomment-390873758
  * [jsk_rviz_plugins] fix std::isnan to make it compile under Ubuntu 16.04 / gcc 5 (#687 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/687>)
    * fix std::isnan to make it compile under Ubuntu 16.04 / gcc 5
    * revert whitespace changes (adding trailing whitespace again)
  * add enable lighitng property in polygon_array_display
  * jsk_rviz_plugins: class_result_vis: add more types to vislalize (#684 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/684>)
  * jsk_rviz_plugins: add missing deps (#683 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/683>)
  * Add <url> to package.xml to add link to README (#681 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/681>)
  * Contributors: Aleksandr Rozhdestvenskii, Christian Rauch, Daniel Neumann, Yuki Furuta, Jan Carius, Kei Okada, Kentaro Wada, Laurenz, Masaki Murooka, Tamaki Nishino, Yuto Uchimi, Iori Yanokura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 00:00:00 -0000

ros-indigo-jsk-rviz-plugins (2.1.3-0trusty) trusty; urgency=high

  * [jsk_rviz_plugins] Rviz default font is changed from Arial to LiberationSans (See: https://github.com/ros-visualization/rviz/pull/1141) (#676 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/676>)
  * Add exclude regex in rosconsole_overlay (#675 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/675>)
  * Contributors: Iori Kumagai, Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 26 Oct 2017 00:00:00 -0000

ros-indigo-jsk-rviz-plugins (2.1.2-0trusty) trusty; urgency=high

  * [jsk_rviz_plugins][classification_result_visualizer] minor bugfix (#669 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/669> )
  * [jsk_rviz_plugins] add marker publisher for classification result (#667 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/667>)
    * [jsk_rviz_plugins] add visualizer for classification result
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-indigo-jsk-rviz-plugins (2.1.1-0trusty) trusty; urgency=high

  * remove depends to wxwidgets https://github.com/ros/rosdistro/pull/13886#issuecomment-279832181
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 15 Feb 2017 00:00:00 -0000

ros-indigo-jsk-rviz-plugins (2.1.0-0trusty) trusty; urgency=high

  * migration to kinetic, which uses qt5 wehre as indig/jade uses qt4 (#662 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/662> )
  * Feature to transform markers in rviz (#661 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/661> )
    * Not to build transformable_marker_operator in jsk_rviz_plugins
    * Move TransformableMarkerOperatorAction to jsk_interactive_marker
    * Add feature to transform marker to rviz plugin
    * Add server_name for TransformableMarkerOperatorAction
  * Contributors: Kentaro Wada, Hiroto Mizohana

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 13 Feb 2017 00:00:00 -0000



=== debian/control ===
Source: ros-indigo-jsk-rviz-plugins
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-diagnostic-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-image-geometry, ros-indigo-jsk-footstep-msgs, ros-indigo-jsk-gui-msgs, ros-indigo-jsk-hark-msgs, ros-indigo-jsk-recognition-msgs, ros-indigo-jsk-recognition-utils, ros-indigo-jsk-topic-tools, ros-indigo-message-generation, ros-indigo-mk, ros-indigo-people-msgs, ros-indigo-rosbuild, ros-indigo-rviz, ros-indigo-std-msgs, ros-indigo-urdfdom-py, ros-indigo-view-controller-msgs
Homepage: http://jsk-docs.readthedocs.io/en/latest/jsk_visualization/doc/jsk_rviz_plugins
Standards-Version: 3.9.2

Package: ros-indigo-jsk-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-scipy, ros-indigo-cv-bridge, ros-indigo-diagnostic-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-image-geometry, ros-indigo-image-publisher, ros-indigo-jsk-footstep-msgs, ros-indigo-jsk-gui-msgs, ros-indigo-jsk-hark-msgs, ros-indigo-jsk-recognition-msgs, ros-indigo-jsk-recognition-utils, ros-indigo-jsk-topic-tools, ros-indigo-message-generation, ros-indigo-people-msgs, ros-indigo-posedetection-msgs, ros-indigo-rviz, ros-indigo-std-msgs, ros-indigo-urdfdom-py, ros-indigo-view-controller-msgs
Description: The jsk_rviz_plugins package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-jsk-rviz-plugins//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
